Last modified: 2011-01-02 00:03:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25437 - Increase release notes range
Increase release notes range
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CodeReview (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 23720
Blocks: 24479
  Show dependency treegraph
 
Reported: 2010-10-06 18:03 UTC by Chad H.
Modified: 2011-01-02 00:03 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Chad H. 2010-10-06 18:03:06 UTC
Right now using the release notes generator is hardcoded at a range of 5000 revs max.

Would be nice to increase this, especially since the commit rate has gone up significantly and a release is much more than 5000 revs these days :)

Obvious dependency added.
Comment 1 Sam Reed (reedy) 2010-12-31 20:38:32 UTC
		if ( $this->mStartRev < ( $lastRev - 10000 ) ) {
			global $wgOut;
			$wgOut->addHtml( wfMsgHtml( 'code-release-badrange' ) );
			return;
		}

Seems this one is 10k now ;)
Comment 2 Chad H. 2010-12-31 20:40:15 UTC
I bumped it to 10k and committed to trunk. Was this merged to deployment?
Comment 3 Sam Reed (reedy) 2010-12-31 20:42:58 UTC
mysql> DESCRIBE SELECT cr_message,cr_author,cr_id,ct_tag AS rnotes  FROM `mw_code_rev` LEFT JOIN `mw_code_tags` ON ((ct_repo_id = cr_repo_id AND ct_rev_id = cr_id AND ct_tag = "release-notes"))  WHERE cr_repo_id = '3' AND (cr_status NOT IN('reverted','deferred','fixme')) AND (cr_message != '') AND (cr_id BETWEEN 77000 AND 78000 AND (cr_path  LIKE '/trunk/phase3/%'  OR cr_path = '/trunk/phase3'))  ORDER BY cr_id DESC ;
+----+-------------+--------------+--------+-----------------------------------------+---------+---------+--------------------------------------------------------------+------+-------------+
| id | select_type | table        | type   | possible_keys                           | key     | key_len | ref                                                          | rows | Extra       |
+----+-------------+--------------+--------+-----------------------------------------+---------+---------+--------------------------------------------------------------+------+-------------+
|  1 | SIMPLE      | mw_code_rev  | range  | PRIMARY,cr_repo_id,cr_repo_author,cr_id | PRIMARY | 8       | NULL                                                         | 2370 | Using where |
|  1 | SIMPLE      | mw_code_tags | eq_ref | PRIMARY,ct_repo_id                      | PRIMARY | 265     | wikidb.mw_code_rev.cr_repo_id,wikidb.mw_code_rev.cr_id,const |    1 | Using index |
+----+-------------+--------------+--------+-----------------------------------------+---------+---------+--------------------------------------------------------------+------+-------------+
2 rows in set (0.00 sec)


That query looks fine :|
Comment 4 Sam Reed (reedy) 2010-12-31 20:50:55 UTC
Doing that query... With SQL_NO_CACHE

327 rows in set (0.00 sec)

I'm thinking this isn't too bad. I'm gonna remove the technical restrictions later on today and close this bug :)
Comment 5 Sam Reed (reedy) 2011-01-01 00:50:45 UTC
Linking to 23720, as this has a similar path based bug
Comment 6 Sam Reed (reedy) 2011-01-01 01:09:18 UTC
r79395, r79400

And the stuff to improve the way all the paths were saved beforehand
Comment 7 Aryeh Gregor (not reading bugmail, please e-mail directly) 2011-01-02 00:03:01 UTC
When pasting these things in the future, use \G instead of ; as statement terminator, so that the result is more legible.  E.g., 

DESCRIBE SELECT cr_message,cr_author,cr_id,ct_tag AS rnotes  FROM
`mw_code_rev` LEFT JOIN `mw_code_tags` ON ((ct_repo_id = cr_repo_id AND
ct_rev_id = cr_id AND ct_tag = "release-notes"))  WHERE cr_repo_id = '3' AND
(cr_status NOT IN('reverted','deferred','fixme')) AND (cr_message != '') AND
(cr_id BETWEEN 77000 AND 78000 AND (cr_path  LIKE '/trunk/phase3/%'  OR cr_path
= '/trunk/phase3'))  ORDER BY cr_id DESC \G

The ";" format tends to break horribly when you paste long rows into Bugzilla, which inserts line breaks.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links